Name:		qubes-core-admin-client
Version:    4.0.33
Release:	1%{?dist}
Summary:	Qubes OS admin client tools

Group:		Qubes
License:	LGPLv2.1+
URL:		https://www.qubes-os.org

BuildRequires:	make
BuildRequires:	python%{python3_pkgversion}-setuptools
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-sphinx
BuildRequires:	python%{python3_pkgversion}-dbus
BuildRequires:	python%{python3_pkgversion}-lxml
BuildRequires:	python%{python3_pkgversion}-xcffib
Requires:   python%{python3_pkgversion}-qubesadmin
Requires:   python%{python3_pkgversion}-yaml
BuildArch:  noarch
Source0: %{name}-%{version}.tar.gz

%description
This package include managemt tools, like qvm-*.

%package -n python%{python3_pkgversion}-qubesadmin
Summary:    Python%{python3_pkgversion} module qubesadmin
Requires:   python%{python3_pkgversion}-daemon
Requires:   python%{python3_pkgversion}-docutils
Requires:   python%{python3_pkgversion}-lxml
Requires:   python%{python3_pkgversion}-xcffib
Conflicts:  qubes-manager < 4.0.6

%description -n python%{python3_pkgversion}-qubesadmin
Python3 module qubesadmin.

%prep
%setup -q


%build
make -C doc PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} man


%install
rm -rf build
%make_install PYTHON=%{__python3}

make -C doc DESTDIR=$RPM_BUILD_ROOT \
    PYTHON=%{__python3} SPHINXBUILD=sphinx-build-%{python3_version} \
    install


%files
%defattr(-,root,root,-)
%doc LICENSE
%config /etc/xdg/autostart/qvm-start-gui.desktop
%{_bindir}/qubes-*
%{_bindir}/qvm-*
%{_mandir}/man1/qvm-*.1*
%{_mandir}/man1/qubes*.1*

%files -n python%{python3_pkgversion}-qubesadmin
%{python3_sitelib}/qubesadmin-*egg-info
%{python3_sitelib}/qubesadmin


%changelog
* Sun Jul 04 2021 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-core-admin-client.git

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6467e7d
- version 4.0.33

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 23f220a
- Convert tests to use stdlib's AsyncMock()

* Sun Jul 04 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 90926cc
- spec: add BR make

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b92614f
- debian: really drop python2 build

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e11dbe0
- Drop Python2 support

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 20836a4
- gitlab-ci: fix codecov call

* Sun Jul 04 2021 Rusty Bird <rustybird@net-c.com> - d525a13
- qvm-backup: dom0 dst relative to cwd of tool, not qubesd

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a14500a
- tests: restoring a backup bigger than available space in /var/tmp

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 55b9882
- tests: fix preparing multi-part disk volume

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 622d026
- backup: throttle backup extracting if there is not enough disk space

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2e9ac99
- backup: check if there is enough disk space available to restore

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - dc2788d
- backup: cleanup retrieve_proc on failure

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e360160
- backup: add function parameter for override temp directory

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a6bf6c5
- tests: avoid 'xrandr' call

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4c86a6e
- gitlab-ci: adjust custom job

* Sun Jul 04 2021 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 526a0bb
- Add .gitlab-ci.yml

* Sun Jul 04 2021 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a9dd04b
- rpm: add BR: python3-lxml and python3-xcffib

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b5a2e36
- version 4.0.32

* Mon Nov 02 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f16f863
- trim deps of python-qubesadmin package

* Thu Oct 29 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1ee9867
- rpm: fix condition for fedora/centos

* Sun Oct 25 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 35561e7
- version 4.0.31

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - d1f3139
- rpm: adjust python2/python3 dependencies

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8966528
- tests: use asynctest some more

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c26e00f
- pylint: ignore raise-missing-from and super-with-arguments

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 263ff26
- tools/qvm-run: do not check if DispVM is paused before starting it

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - f437fb8
- Better error reporting in qvm_start

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 73e98d8
- qvm-device: improve error message on invalid device type

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 21559cb
- Make incorrect label name error more descriptive

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a2ed0f3
- qvm-run will unpause paused VMs by defaults

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c0393cc
- tools: remove obsolete _want_app argument

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7b0308c
- backup/restore: improve error message about restoring tags

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e70b88b
- backup/restore: distinguish dom0 by name

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 6ad3adc
- travis: use sourced config, switch to R4.1

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ce3522
- Make Label() object hashable

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - cf0783e
- Fixed inconsistent firewall address checking

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 29fa551
- Added better __eq__ method to Label class

* Sat Oct 24 2020 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 916a8d6
- Makefile: add clean of pkgs and debian changelog.*

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eb6e887
- Do not check for object existence when got it with another Admin API call

* Sat Oct 24 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 65f47ee
- Added a safeguard for invalid firewall rules

* Sat Oct 24 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5a60ba5
- Add qvm-firewall reset action to the man page

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5d68a26
- version 4.0.30

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 553d7fa
- Make pylint happy

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0f4a253
- Remove no longer relevant TODO comment

* Sun May 10 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - c348a37
- qvm-kill: make error message more clear

* Sun May 10 2020 marmot1791 <marmot1791@protonmail.com> - 2b9cb4f
- Correct default VMs behavior to match current code

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - b930de7
- Added an option to qvm-firewall to reset all rules

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - 7843597
- Added tests for cloning VMs with persistent devices

* Sun May 10 2020 Marta Marczykowska-Górecka <marta.maria.gorecka@gmail.com> - a1a23fb
- Cloning a vm now clones persistent PCI device assignments

* Sun May 10 2020 Pawel Marczewski <pawel@invisiblethingslab.com> - ab7c51b
- qvm-kill: ignore already off domains

* Sun May 10 2020 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - e13956f
- tests/firewall: update future time to be really in the future

